# $Revision: 1.14 $, $Date: 2009/10/08 06:08:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	Forking
Summary:	Proc::Forking - fork and daemonize
Summary(pl.UTF-8):	Proc::Forking - funkcje do forkowania i demonizowania
Name:		perl-Proc-Forking
Version:	1.40
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55fc9eb26e024b5d4c4f4bda1129687e
URL:		http://search.cpan.org/dist/Proc-Forking/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Sys-Load
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Proc::Forking.pm module provides a set of tool to fork and
daemonize. The module fork a function code.

%description -l pl.UTF-8
Moduł Proc::Forking.pm dostarcza zbiór narzędzi do forkowania i
demonizowania. Moduł rozgałęzia kod funkcji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Proc/Forking.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Proc-Forking.spec,v $
Revision 1.14  2009/10/08 06:08:52  amateja
- updated to 1.40

Revision 1.13  2008/07/27 22:53:37  arekm
- release 2

Revision 1.12  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.10  2006/05/22 17:32:22  glen
- deamon->daemon spelling fix

Revision 1.9  2005/11/09 21:03:50  czucz
- updated to 1.38

Revision 1.8  2005/01/09 14:55:24  adamg
- updated to 1.24

Revision 1.7  2005/01/01 12:11:07  djrzulf
- updated to 1.22 (fm pld-devel-pl Mateusz Murawski),

Revision 1.6  2004/12/12 10:47:17  adamg
- updated to 1.17

Revision 1.5  2004/12/03 12:45:21  radek
- version 1.16 and minor cosmetics

Revision 1.4  2004/11/03 22:30:40  paladine
- formatting

Revision 1.3  2004/08/07 22:17:41  qboosh
- pl

Revision 1.2  2004/08/07 22:01:51  adamg
- perl-Sys-Load required only when doing tests

Revision 1.1  2004/08/07 21:58:42  adamg
- new
